Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.pe
Class EwayOtdLoadAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.util.actions.CallableSystemAction
                  org.openide.util.actions.NodeAction
                      com.stc.acl.module.ACLBasedCallableSystemAction
                          com.stc.egate.toolbus.toolAction.BaseToolAction
                              com.stc.swift.egategui.pe.EwayOtdLoadAction

All Implemented Interfaces:
  com.stc.acl.module.ACLVisitorAction, com.stc.egate.toolbus.toolAction.LoadAction, java.awt.event.ActionListener, java.io.Externalizable, java.io.Serializable, java.util.EventListener, javax.swing.Action, org.openide.util.actions.Presenter, org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar

    public class EwayOtdLoadAction

extends com.stc.egate.toolbus.toolAction.BaseToolAction
implements com.stc.egate.toolbus.toolAction.LoadAction

Title: EwayOtdLoadAction

Description:

Copyright: Copyright (c) 2003

Company:

Version:
  1.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`EwayOtdLoadAction()` Constructor

Method Summary
`org.openide.util.HelpCtx` | `getHelpCtx()` Default implementation of getHelpCtx().
`java.lang.String` | `getName()` Gets the name attribute of the CreateQueueAction object
`org.openide.nodes.Node` | `loadElement(com.stc.model.common.ProjectElement element)` Returns the Queue Node
`void` | `performAction(org.openide.nodes.Node[] nodes)`

Methods inherited from class com.stc.egate.toolbus.toolAction.BaseToolAction
`actionPerformed`

Methods inherited from class com.stc.acl.module.ACLBasedCallableSystemAction
`accept, enable, getRepositoryObject, getRepositoryObjects, getSelectedNodes, isEnabled, isSetEnabledForLocked, isSetEnabledForReadOnly, performAction, setCheckVersionControl, setEnabled`

Methods inherited from class org.openide.util.actions.NodeAction
`getActivatedNodes`

Methods inherited from class org.openide.util.actions.CallableSystemAction
`getMenuPresenter, getPopupPresenter, getToolbarPresenter`

Methods inherited from class org.openide.util.actions.SystemAction
`createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, linkActions, putValue, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addPropertyChangeListener, equals, findObject, findObject, hashCode, readExternal, removePropertyChangeListener, writeExternal`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### EwayOtdLoadAction

    public EwayOtdLoadAction()

  Constructor

Method Detail

### getHelpCtx

    public org.openide.util.HelpCtx getHelpCtx()

  Default implementation of getHelpCtx().

  Overrides:
    `getHelpCtx` in class `com.stc.acl.module.ACLBasedCallableSystemAction`
  Returns:
    The HelpCtx value

### performAction

    public void performAction(org.openide.nodes.Node[] nodes)

  Overrides:
    `performAction` in class `com.stc.acl.module.ACLBasedCallableSystemAction`
  See Also:
    `ACLBasedCallableSystemAction.performAction(org.openide.nodes.Node[])`

### getName

    public java.lang.String getName()

  Gets the name attribute of the CreateQueueAction object

  Specified by:
    `getName` in class `org.openide.util.actions.SystemAction`
  Returns:
    The name value

### loadElement

    public org.openide.nodes.Node loadElement(com.stc.model.common.ProjectElement element)

  Returns the Queue Node

  Specified by:
    `loadElement` in interface `com.stc.egate.toolbus.toolAction.LoadAction`
  Parameters:
    `element` -
  Returns:
    Node - The Queue Node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.